function [ T ] = LEDsim( D )

if(~isvector(D))
    error('input D should be a vector!')
end
dT = 1/100;
T0 = 19 + 2*randn;
N = length(D);
T = zeros(N+1,1);
T(1) = T0;
for k=1:N
    D_k = D(k);
    if(D_k < 0 || D_k > 1)
        error('Invalid input for D!')
    end
    T_int  = rk4(T(k),D_k*dT,1);
    T(k+1) = rk4(T_int,(1-D_k)*dT,0);
end
T = T + 0.5*randn(length(T),1);


